﻿namespace View_by_Distance.Shared.Models.Stateless;

/// <summary>
/// Specifies the part of face.
/// </summary>
public enum FacePart
{

    /// <summary>
    /// Specifies the chin.
    /// </summary>
    Chin,

    /// <summary>
    /// Specifies the left eyebrow.
    /// </summary>
    LeftEyebrow,

    /// <summary>
    /// Specifies the right eyebrow.
    /// </summary>
    RightEyebrow,

    /// <summary>
    /// Specifies the nose bridge.
    /// </summary>
    NoseBridge,

    /// <summary>
    /// Specifies the nose tip.
    /// </summary>
    NoseTip,

    /// <summary>
    /// Specifies the left eye.
    /// </summary>
    LeftEye,

    /// <summary>
    /// Specifies the right eye.
    /// </summary>
    RightEye,

    /// <summary>
    /// Specifies the top lip.
    /// </summary>
    TopLip,

    /// <summary>
    /// Specifies the bottom lip.
    /// </summary>
    BottomLip,

    /// <summary>
    /// Specifies the nose.
    /// </summary>
    Nose,

}